#!/bin/bash

#######################################################################
#
#   Actualització de les estacions dels PuntTIC/Òmnia 
#   (c) 2020 Generalitat de Catalunya
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>. 
#

PUNTTIC_SCRIPT_DIR=/opt/punttic/
#PUNTTIC_SCRIPT_HOST=http://192.168.1.100:8000
PUNTTIC_SCRIPT_HOST=http://punttic.gencat.cat/files
PUNTTIC_SCRIPT=${PUNTTIC_SCRIPT_HOST}/punttic.sh
PUNTTIC_SCRIPT_SIGNATURE=${PUNTTIC_SCRIPT_HOST}/punttic.sh.sha256
PUNTTIC_SCRIPT_FILE=/tmp/punttic.sh
PUNTTIC_SCRIPT_SIGNATURE_FILE=/tmp/punttic.sh.sha256
PUNTTIC_SCRIPT_CERTIFICATE=${PUNTTIC_SCRIPT_DIR}/punttic-script.crt

# Descarreguem l'script i la signatura
wget -q -O "${PUNTTIC_SCRIPT_FILE}" "${PUNTTIC_SCRIPT}"
chmod +x "${PUNTTIC_SCRIPT_FILE}"
wget -q -O "${PUNTTIC_SCRIPT_SIGNATURE_FILE}" "${PUNTTIC_SCRIPT_SIGNATURE}"

# Comprovem que l'script correspon a la signatura. Altrament, no l'executem
bash -c "openssl dgst -sha256 -verify <(openssl x509 -in ${PUNTTIC_SCRIPT_CERTIFICATE} -pubkey -noout) -signature ${PUNTTIC_SCRIPT_SIGNATURE_FILE} ${PUNTTIC_SCRIPT_FILE} > /dev/null"
test $? -eq 0 && bash -e "${PUNTTIC_SCRIPT_FILE}" 

# Finalment esborrem l'script
rm "${PUNTTIC_SCRIPT_FILE}" "${PUNTTIC_SCRIPT_SIGNATURE_FILE}"

exit 0
